com.google.gwt.user.client.ui

## Class MenuItemSeparator

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.MenuItemSeparator

- All Implemented Interfaces:
    HasVisibility

      public class MenuItemSeparator
      extends UIObject

  A separator that can be placed in a `MenuBar`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX, MISSING_ELEMENT_ERROR, SETELEMENT_TWICE_ERROR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuItemSeparator()` Constructs a new `MenuItemSeparator`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MenuBar` | `getParentMenu()` Gets the menu that contains this item.
    `(package private) void` | `setParentMenu(MenuBar parentMenu)`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, replaceElement, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, sinkEvents, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MenuItemSeparator

          public MenuItemSeparator()

      Constructs a new `MenuItemSeparator`.

  - ### Method Detail

    - #### getParentMenu

          public MenuBar getParentMenu()

      Gets the menu that contains this item.
      Returns:
        the parent menu, or `null` if none exists.

    - #### setParentMenu

          void setParentMenu(MenuBar parentMenu)